%global gem_name stomp

Summary: Ruby client for the Stomp messaging protocol
Name: rubygem-%{gem_name}
Version: 1.2.2
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://stomp.codehaus.org/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
Requires: ruby(abi) = 1.9.1
BuildRequires: rubygems-devel
BuildRequires: rubygem(rspec-core)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Ruby client for the Stomp messaging protocol

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gem_dir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gem_dir}/bin
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
rm -f %{buildroot}%{gem_instdir}/.gitignore
rm -f %{buildroot}%{gem_instdir}/stomp.gemspec

%clean
rm -rf %{buildroot}

%check
pushd %{buildroot}/%{gem_instdir}
# This part require rspec2, and it's not there yet
rspec spec
# Rake test requires a stomp server
# rake test
popd

%files
%defattr(-, root, root, -)
%{_bindir}/catstomp
%{_bindir}/stompcat
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/bin
%{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.rdoc

%files doc
%defattr(-, root, root, -)
%{gem_instdir}/spec
%{gem_instdir}/test
%{gem_instdir}/examples
%{gem_instdir}/Rakefile
%{gem_docdir}

%changelog
* Mon May 28 2012 Michael Stahnke <stahnma@puppetlabs.com> - 1.2.2-1
- Update to 1.2.2

* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 1.1.9-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 26 2011 Michael Stahnke <stahnma@puppetlabs.com> -  1.19-1
- New version from upstream

* Fri Mar 18 2011 <stahnma@fedoraproject.org> - 1.1.8-1
- New version from upstream

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 05 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.1.6-1
- Initial Package
